VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Typedefs | Enumerations
Steinberg::Vst::MPE Namespace Reference

## Classes
struct | Handler
struct | Setup
| MPE setup structure. More...
class | Processor
| MPE Decompose Processor. More...

## Typedefs
using | NoteID = int32_t
using | Pitch = uint32_t
using | Channel = uint32_t
using | Velocity = float
using | NormalizedValue = double

## Enumerations
enum | Controller : uint32_t { Pressure, X, Y, None }
| MPE per note controller enumeration. More...
enum | InputMIDIMessage : uint32_t { MIDICC_0 = 0, MIDICC_127 = 127, ChannelPressure = 128, PitchBend = 129, Aftertouch = 130 }
| Input MIDI Message enumeration. More...

## Typedef Documentation

using NoteID = int32_t

using Pitch = uint32_t

using Channel = uint32_t

using Velocity = float

using NormalizedValue = double

## Enumeration Type Documentation

enum Controller : uint32_t

MPE per note controller enumeration.

Enumerator
Pressure | Pressure MPE controller.
X | X / horizontal MPE controller.
Y | Y / vertical MPE controller.
None | no MPE controller

enum InputMIDIMessage : uint32_t

Input MIDI Message enumeration.

Enumerator
MIDICC_0 |
MIDICC_127 |
ChannelPressure |
PitchBend |
Aftertouch |

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.